/*SYNTAX CSS: */

/*
selector {
    proberty: value (s);
}

1) TAG selectors --> body, h1, footer, header...
2) CLASS selectors --> .class-x, .class-y, .class-z...
3) PSEUDOCLASS Selector --> :hover, :focus, :checked...

*/

body {
    margin: 0;

    font-family: "chaparral-pro-display", serif;
    font-weight: 600;
    font-style: normal;
}

header {
    display: flex;
    flex-direction: column;

    text-align: center;
    justify-content: center;

    display: flex;
    padding: 50px 40px 0;

    background-color: black;
    border-bottom: 2px;


    min-height: 80vh;
    padding: 50px;
    display: flex;
    box-sizing: border-box;


}



h1 {
    margin-top: 0;
    margin-right: 0;
    margin-bottom: 40px;
    margin-left: 0;
    font-size: 5em;
    color: yellow;
    text-transform: uppercase;

    font-family: "adlery-pro", sans-serif;
    font-weight: 400;
    font-style: normal;

}

nav a {

    padding-top: 6px;
    padding-left: 12px;
    padding-bottom: 6px;
    padding-right: 12px;
    background-color: darkred;
    color: white;
    text-decoration: none;
    border-style: solid;
    border-width: 1px;
    border-color: yellow;
    display: inline-block;

    width: 100%;
    display: flex;
    justify-content: space-between;


    /*cursor: not-allowed: */

}

nav a:hover {
    background-color: black;
    color: burlywood;
    transition: 0.3s;
}



main {
    padding-top: 64px;
    padding-left: 20px;
    padding-bottom: 120px;
    padding-right: 20px;
    background-color: black;
}


h2 {
    margin: 1.5em auto 1.5em auto;
    font-size: 3em;
    font-weight: 400;
    text-align: center;
    color: yellow;

}


.xfunny {
    max-width: none;
    margin: 2em 0;
    padding: 1.4em 4em 1.6em 4em;
    border-top: solid 4px yellow;
    border-bottom: solid 4px yellow;
    font-size: 1.8em;
    text-align: center;
}



p {
    max-width: 70ch;
    margin: 1.5em auto 1.5em auto;
    padding: 0 1em;
    font-size: 1.3em;
    color: white;
    line-height: 2;
}



img {
    width: 100%;
}

main a {
    color: sn;
}

article {
    max-width: 1100px;
    margin-bottom: 90px;
    margin-left: auto;
    margin-right: auto;
    padding: 30px 0 60px 0;

    background-color: darkred
}



footer {
    background-color: black;
    color: aliceblue;
    padding-bottom: 20px 32px 20px 32px;
}



figure {
    margin: 50px 0;
    padding-bottom: 20px;
    background-color: #efefef;


}

figcaption {
    margin-top: 1.5em;
    font-size: 0.9em;
    text-align: center;


}

.container {
    margin: 2.5em 0;
    padding: 1em;
    background-color: #fafafa;
}

.display-flex .container {
    border: solid 4px #fafafa;
    background-color: hsl(0, 75%, 40%);
    display: flex;
    flex-direction: column-reverse;
    flex: wrap;
    justify-content: space-between;
    align-items: center;
    min-height: 300%;

}

.item {
    margin: 0.5em;
    padding: 1.5em;
    background-color: hsl(0, 75%, 40%);
    color: white;
    text-transform: uppercase;
}


.display-inline .item {
    display: inline;
}

.display-inlineblock .item {
    display: inline-block;
}

.display-flex .item {
    background-color: white;
    color: black;

}

h3 {
    margin: 2em 0 1em;
    font-family: droid-sans, sans-serif;
    font-size: 2.2em;
    font-weight: 400;
    text-align: center;
}

.image-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    margin: 0 0 2em;
    padding: 1.5em;
}

.image-container figure {
    flex-basis: 450px;
    flex-grow: 1;
    margin: 2px;
}

.xfunny:hover {
    background-color: black;
    color: white;
    transition: 0.3s;
}

.current {
    background-color: black;
    color: white
}

.color-scheme {
    background-color: black
}

li {
    border-top: 1px solid black;
    padding-top: 0.5em;
    padding-left: 1em;
    padding-right: 1em;
    padding-bottom: 0.5em;
}

ul {

    list-style: none;
    max-width: 75ch;
    margin: 2em auto 2em auto;
    padding-left 0;
    font-size: 1.1em;
    color: white;
}

.color-scheme {
    background-color: black;
}


.color-scheme1 header {
    background-color: linen;
    background-image: url(../img/Food%20black.png);
    background-size: 1780px;
    background-position: center;
    background-repeat: no-repeat;

}

.color-scheme1 .xfunny:hover {
    background-color: black;
}

.color-scheme1 main {
    background-color: black;
}



.color-scheme2 header {
    background-image: url(../img/Noodles.png);
    background-size: 1780px;
    background-position: center;
    background-repeat: no-repeat;
}

.color-scheme2 h2 {
    display: block;
    padding: 0.2em;
    background-color: black;
}

.color-scheme2 main {
    background-color: black;
}

.color-scheme3 header {
    background-color: antiquewhite;
    background-image: url(../img/Noten%20Essen.png);
    background-size: 1780px;
    background-position: center;
    background-repeat: no-repeat;
}

.color-scheme3 main {
    background-color: black;
}

.color-scheme4 header {
    background-color: black;
    background-image: url(../img/Heiliger%20Burger.png);
    background-size: 1580px;
    background-position: center;
    background-repeat: no-repeat;

}

.color-scheme4 main {
    background-color: black;
}

.color-scene1 {
    background-color: black;
}

.color-scheme5 main {
    background-color: black;
}

.color-scheme5 header {
    background-color: black;
    background-image: url(../img/Obstgl%C3%A4sser.png);
    background-size: 1780px;
    background-position: center;
    background-repeat: no-repeat;
}

a {
    color: cornsilk;
}







/*cursor: not-allowed: */










/*
    padding-top: 64px;
    padding-left: 20px;
    padding-bottom: 120px;
    padding-right: 20px;
/*
    
    
.xfunny 
